GroovyAwareNamedTransactionAttributeSource (Grails 6.0.0)

Package: org.grails.transaction

## [Java] Class GroovyAwareNamedTransactionAttributeSource

- org.grails.transaction.GroovyAwareNamedTransactionAttributeSource

-     public class GroovyAwareNamedTransactionAttributeSource
      extends org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource

  Authors:
    Graeme Rocher
  Since:
    1.1.1 Don't match Groovy synthetic methods

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.Set<java.lang.String>` | `NONTRANSACTIONAL_GROOVY_METHODS` |
    `private static long` | `serialVersionUID` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public org.springframework.transaction.interceptor.TransactionAttribute` | `getTransactionAttribute(java.lang.reflect.Method method, java.lang.Class targetClass)`
    `` | `protected boolean` | `isMatch(java.lang.String methodName, java.lang.String mappedName)`
    `` | `public void` | `setTransactionalAttributes(java.util.Properties properties)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource` | `org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#setNameMap(java.util.Map), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#addTransactionalMethod(java.lang.String, org.springframework.transaction.interceptor.TransactionAttribute), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#setEmbeddedValueResolver(org.springframework.util.StringValueResolver), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#getTransactionAttribute(java.lang.reflect.Method, java.lang.Class), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#afterPropertiesSet(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#equals(java.lang.Object), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#toString(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#hashCode(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#setProperties(java.util.Properties), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#wait(long), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#wait(long, int), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#wait(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#getClass(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#notify(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#notifyAll(), org.springframework.transaction.interceptor.NameMatchTransactionAttributeSource#isCandidateClass(java.lang.Class)`

- - ### Field Detail

    - #### private static final java.util.Set<java.lang.String> NONTRANSACTIONAL_GROOVY_METHODS

    - #### private static final long serialVersionUID

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public org.springframework.transaction.interceptor.TransactionAttribute getTransactionAttribute(java.lang.reflect.Method method, java.lang.Class targetClass)

    - #### @java.lang.Override protected boolean isMatch(java.lang.String methodName, java.lang.String mappedName)

    - #### public void setTransactionalAttributes(java.util.Properties properties)